<!DOCTYPE html>
<html lang="fr">
<head>
  <title>Présentation projet : groupe 5</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    figure {
      border: 1px #cccccc solid;
      padding: 4px;
      margin: auto;
    }
    
    figcaption {
      background: rgba(0,0,0,0.7);
      color: white;
      font-style: italic;
      padding: 2px;
      text-align: center;
    }
    </style>
</head>
<body>

<div class="container-fluid p-5 bg-primary text-white text-center">
  <h1>Travail individuel de Lucas</h1>
  <p>Groupe 05 : Lucas LARZILLIERE, Tristan VILLETTE, Florian GAVA</p>
  <a href='../individuels.html' class="row-sm-4 ">
    <button type="button" class="btn btn-secondary">Retour</button>
  </a>
</div>
  
<div class="container mt-5">
    <div class="row">
      <div class="col-sm-4">
        <h3>Projet 1 : fenêtres</h3>
        <h6>L'objectif était de manipuler des fenêtres</h6>
        <p> Utilisation d'une boucle d'évènement, toutes les touches des flèches directionnelles sont prises en compte, ainsi que la touche echap qui permet de quitter la fenêtre. Plus la fenêtre va vers la droite, plus elle grossit, plus elle va vers la gauche, plus elle rétrécit.</p>
        <figure>
            <img src="img/lucas1-01.png" width="400" height="200">
            <figcaption> Fenêtre à gauche avant déplacement</figcaption>
        </figure>
        <figure>
            <img src="img/lucas1-02.png" width="400" height="200">
            <figcaption> Fenêtre à droite après déplacement</figcaption>
        </figure>
      </div>
      <div class="col-sm-4">
        <h3>Projet 2 : formes géométriques</h3>
        <h6>L'objectif était d'animer des formes géométriques</h6>
        <p>Affichage de plusieurs carrés multicolores sous forme de spirale. Utilisation de deux fonctions : paveSerpent (intitialisation de ce dont a besoin la prochaine fonction) et draw. paveSerpent initialise tout et appelle draw qui va dessiner les carrés en spirale.</p>
        <figure>
            <img src="img/lucas2.png">
            <figcaption>Formes géométriques tracées</figcaption>
        </figure>
      </div>
      <div class="col-sm-4">
        <h3>Projet 3 : animer des sprites</h3>        
        <h6>L'objectif était d'animer des sprites avec un fond</h6>
        <p>On a un fond de forêt en pixel-art avec un personnage qui peut se déplacer de gauche à droite. Le Sprite s'inverse s'il faut en fonction et en appuyant sur espace, le joueur peut sortir une épée.</p>
        <figure>
            <img src="img/lucas3-01.png" width="400" height="400">
            <figcaption>Personnage marchant vers la droite sortant son épée</figcaption>
        </figure>
        <figure>
            <img src="img/lucas3-02.png" width="400" height="400">
            <figcaption>Personnage marchant vers la gauche ayant rangé son épée</figcaption>
        </figure>
      </div>
    </div>
  </div>

</body>
</html>
